<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * SugarCRM is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004 - 2007 SugarCRM Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by SugarCRM".
 * *******************************************************************************/
/*********************************************************************************

 * Description:
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc. All Rights
 * Reserved. Contributor(s): ______________________________________..
 *********************************************************************************/

// we will need the following:
if( isset($_REQUEST['parent_type']) && !empty($_REQUEST['parent_type']) &&
	isset($_REQUEST['parent_id']) && !empty($_REQUEST['parent_id']) ) {
	global $beanList;
	global $beanFiles;

	$class = $beanList[$_REQUEST['parent_type']];
	require_once($beanFiles[$class]);

	$bean = new $class();
	$bean->retrieve($_REQUEST['parent_id']);
	$namePlusEmail = '';
	if (isset($bean->full_name)) {
		$namePlusEmail = "{$bean->full_name} <".$bean->emailAddress->getPrimaryAddress($bean).">";
	} else  if(isset($bean->emailAddress)){
		$namePlusEmail = "<".$bean->emailAddress->getPrimaryAddress($bean).">";
	}

	$myCaseMacro = "";
	if ($bean->module_dir == 'Cases') {
		$myCaseMacro = "RE: " . $bean->name . " " . $bean->getEmailSubjectMacro();
	}
	$ret = array(
		'to_email_addrs' => $namePlusEmail,
		'parent_type'	 => $_REQUEST['parent_type'],
		'parent_id'	     => $_REQUEST['parent_id'],
		'subject'		 => $myCaseMacro,
	);
} else {
	$ret = array(
		'to_email_addrs' => '',
	);
}
$json = getJSONobj();
$composeOut = $json->encode($ret);

include('modules/Emails/index.php');
echo "<script type='text/javascript' language='javascript'>\ncomposePackage = {$composeOut};\n</script>";
