<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * SugarCRM is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004 - 2007 SugarCRM Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by SugarCRM".
 ********************************************************************************/

//NOTE: Under the License referenced above, you are required to leave in all copyright statements in both
//the code and end-user application.

global $sugar_config;
?>
<span class="body">
<div style="padding: 10px 15px 20px 15px;">
<p><img src="include/images/sugarsales_lg.png" alt="SugarCRM" width="425" height="30"><br>
<b>Version <?php echo $sugar_version; ?> (Build <?php echo $sugar_build; ?>)
<?php
    if( is_file( "custom_version.php" ) ){
        include( "custom_version.php" );
        print( "&nbsp;&nbsp;&nbsp;" . $custom_version );
    }
?>



</b></p>

<?php
echo "<P>Copyright ".$app_strings['LBL_SUGAR_COPYRIGHT']."</P>";

// This version of viewLicenseText is for Community Edition only.
$viewLicenseText = '<P>This program is free software; you can redistribute it and/or modify it under the terms of the <a href="LICENSE.txt" target="_blank" class="body"> GNU General Public License version 3</a> as published by the Free Software Foundation including the additional permission set forth in the source code header.</P>';





echo $viewLicenseText;



$imgTagString = '<img style="margin-top: 2px" border="0" width="106" height="23" src="include/images/poweredby_sugarcrm.png" alt="Powered By SugarCRM">';




echo $imgTagString;
?>

<?php

$additionalTerm = "<P>The interactive user interfaces in modified source and object code versions of this program must display Appropriate Legal Notices, as required under Section 5 of the GNU General Public License version 3. In accordance with Section 7(b) of the GNU General Public License version 3, these Appropriate Legal Notices must retain the display of the &quot;Powered by SugarCRM&quot; logo. If the display of the logo is not reasonably feasible for technical reasons, the Appropriate Legal Notices must display the words &quot;Powered by SugarCRM&quot;.</P>";





echo $additionalTerm;

?>

<P> SugarCRM &reg;, 
<?php
// Product Name for Community Edition.
$theProductName = "Sugar Community Edition";








echo $theProductName."&#8482; ";
?>
and Sugar&#8482; are
<a href="http://www.sugarcrm.com/crm/open-source/trademark-information.html"
	target="_blank" class="body">trademarks</a> of SugarCRM Inc.</p>

<p><table width="100%" border="0" cellspacing="0" cellpadding="0" class="contentBox">
<tr>
    <td class="body" style="padding-right: 10px;" valign="top" rowspan="2" width="300">
<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,0,0" width="300" height="300" id="SugarPlanet" align="middle">
<param name="allowScriptAccess" value="sameDomain" />
<param name="movie" value="include/images/SugarPlanet.swf" />
<param name="quality" value="high" />
<param name="bgcolor" value="#ffffff" />
<embed src="include/images/SugarPlanet.swf" quality="high" bgcolor="#ffffff" width="300" height="300" name="SugarPlanet" align="middle" allowScriptAccess="sameDomain" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" />
</object>

<map name="office">
<area alt="" shape="poly" coords="27,89,123,94,123,117,25,112" onclick='return window.open("index.php?module=Home&action=PopupSugar","test","width=300,height=400,resizable=0,scrollbars=0");'>
</map></td>

    <td colspan="2" valign="top" class="body" style="padding: 15px 10px 0px 10px;"><h3>SugarCRM Inc.</h3>
        
		10050 North Wolfe Road, Suite SW2-130, Cupertino, CA, 95014 USA,&nbsp;
		+1 (408) 454-6940,&nbsp;
				
<a href="http://www.sugarcrm.com" target="_blank" class="body">http://www.sugarcrm.com</a>

<h3>Founders</h3>
John Roberts, Clint Oram, Jacob Taylor
</td>
</tr>

<tr>
    <td class="body" valign="top" style="padding: 15px 10px 15px 10px;">
        
<h3>Join the Sugar Community</h3>
<ul class="noBullet">
	<li class="noBullet" style="margin-bottom: 6px;"><a href="http://www.sugarcrm.com/crm/about/newsletter-registration.html" target="_blank" class="body">Subscribe to SugarBuzz newsletter</a><br></li>
	<li class="noBullet" style="margin-bottom: 6px;"><a href="http://www.sugarforge.org/" target="_blank" class="body">SugarForge</a>: Collaborate and develop Sugar extensions<br></li>
	<li class="noBullet" style="margin-bottom: 6px;"><a href="http://www.sugarexchange.com/" target="_blank" class="body">SugarExchange</a>: Buy and sell certified Sugar extensions<br></li>
	<li class="noBullet" style="margin-bottom: 6px;"><a href="http://www.sugarcrm.com/crm/university" target="_blank" class="body">Training</a>: Learn about Sugar using online and interactive learning content<br></li>
	<li class="noBullet" style="margin-bottom: 6px;"><a href="http://www.sugarcrm.com/forums/" target="_blank" class="body">Forums</a>: Discuss Sugar with expert community users and developers<br></li>
	<li class="noBullet" style="margin-bottom: 6px;"><a href="http://www.sugarcrm.com/wiki/" target="_blank" class="body">Wiki</a>: Search the knowledge base of user and developer topics</li>
</ul>

          
	</td>
	<td valign="top" class="body" style="padding: 15px 10px 15px 20px;">
	<h3>Get SugarCRM RSS</h3>

<ul class="noBullet">
	<li class="noBullet" style="margin-bottom: 6px;"><a href="http://www.sugarcrm.com/crm/index2.php?no_html=1&stype=rss20&task=returnRSS&option=com_rss_feed_manager&channel=Corporate" target="_blank"><img src="include/images/rss_xml.gif" border="0" alt="XML" align="top"></a>&nbsp;<a href="http://www.sugarcrm.com/crm/index2.php?no_html=1&stype=rss20&task=returnRSS&option=com_rss_feed_manager&channel=Corporate" target="_blank" class="body">SugarCRM News</a></li>
	<li class="noBullet" style="margin-bottom: 6px;"><a href="http://www.sugarcrm.com/crm/index2.php?no_html=1&stype=rss20&task=returnRSS&option=com_rss_feed_manager&channel=Training" target="_blank"><img src="include/images/rss_xml.gif" border="0" alt="XML" align="top"></a>&nbsp;<a href="http://www.sugarcrm.com/crm/index2.php?no_html=1&stype=rss20&task=returnRSS&option=com_rss_feed_manager&channel=Training" target="_blank" class="body">SugarCRM Training News</a></li>
	<li class="noBullet" style="margin-bottom: 6px;"><a href="http://www.sugarcrm.com/forums/external.php?type=rss" target="_blank"><img src="include/images/rss_xml.gif" border="0" alt="XML" align="top"></a>&nbsp;<a href="http://www.sugarcrm.com/forums/external.php?type=rss" target="_blank" class="body">SugarCRM Forums</a></li>
	<li class="noBullet" style="margin-bottom: 6px;"><a href="http://www.sugarforge.org/export/rss_sfnews.php" target="_blank"><img src="include/images/rss_xml.gif" border="0" alt="XML" align="top"></a>&nbsp;<a href="http://www.sugarforge.org/export/rss_sfnews.php" target="_blank" class="body">SugarForge News</a></li>
	<li class="noBullet" style="margin-bottom: 6px;"><a href="http://www.sugarcrm.com/crm/index2.php?no_html=1&stype=rss20&task=returnRSS&option=com_rss_feed_manager&channel=all" target="_blank"><img src="include/images/rss_xml.gif" border="0" alt="XML" align="top"></a>&nbsp;<a href="http://www.sugarcrm.com/crm/index2.php?no_html=1&stype=rss20&task=returnRSS&option=com_rss_feed_manager&channel=all" target="_blank" class="body">All News</a></li>
</ul>
</td>
</tr>
</table>

</span>

<br>

<p><B>Thanks to the following developers for their contributions:</B>
<LI>Marcelo Leite of AnySoft, Inc. (<A href="http://www.anysoft.com.br/sugarsuite" target="_blank">www.anysoft.com.br</A>) - Contributed Upgrade Wizard enhancements and many other minor fixes and features.</LI>
<LI>Ryuhei Uchida of CareBrains, Inc. (<A HREF="http://www.carebrains.co.jp" target="_blank">www.carebrains.co.jp</A>) - Contributed shared calendar enhancement.</LI>
<LI>Mike Dawson of Gamma Code Corporation (<a href="http://www.gammacode.com/" target="_blank">www.gammacode.com</a>) - Contributed enhancements to e-mail notification feature.</LI>
<LI>Erik Mitchell and Ray Gauss II of the OpenLDAP/Active Directory Authentication project (<a href="http://www.sugarforge.org/projects/ldapauth" target="_blank">www.sugarforge.org/projects/ldapauth</a>) - Contributed integration to support LDAP and Active Directory.</LI>
<LI>RPS Technology (<A HREF="http://www.rpstechnology.com" target="_blank">www.rpstechnology.com</A>) - Contributed original porting work for Microsoft SQL Server support.</LI>
<LI>Installer Language Pack - Giovanni Calmon (Brazilian), Vincent Rollin (French), Juergen Schramm (German), and <A HREF="http://www.carebrains.co.jp" target="_blank">Naoko Kondo</A>(Japanese). 
<LI>The Sugar Developer Community (<A HREF="http://www.sugarforge.org" target="_blank">www.sugarforge.org</A>)- bug reports (with fixes!), outstanding feature requests and unbelievable support and input.</LI>

<P>&nbsp;</p>
<P><B>Source Code</B></p>
<LI>Sugar - The world's most popular sales force automation application created by SugarCRM Inc. (<A href="http://www.sugarcrm.com" target="_blank">http://www.sugarcrm.com</A>)</LI>
<LI>XTemplate - A template engine for PHP created by Barnabás Debreceni (<A href="http://sourceforge.net/projects/xtpl" target="_blank">http://sourceforge.net/projects/xtpl</A>)</LI>
<LI>Log4php - A PHP port of Log4j, the most popular Java logging framework, created by Ceki Gülcü (<a href="http://www.vxr.it/log4php" target="_blank">http://www.vxr.it/log4php</a>)</LI>
<LI>NuSOAP - A set of PHP classes that allow developers to create and consume web services created by NuSphere Corporation and Dietrich Ayala (<a href="http://dietrich.ganx4.com/nusoap" target="_blank">http://dietrich.ganx4.com/nusoap</a>)</LI>
<LI>JS Calendar - A calendar for entering dates created by Mihai Bazon (<a href="http://www.dynarch.com/mishoo/calendar.epl" target="_blank">http://www.dynarch.com/mishoo/calendar.epl</a>)</LI>
<LI>PHP PDF - A library for creating PDF documents created by Wayne Munro (<a href="http://ros.co.nz/pdf/" target="_blank">http://ros.co.nz/pdf/</a>)
<LI>DOMIT! - An xml parser for PHP based on the Document Object Model (DOM) Level 2 Spec. (<a href="http://sourceforge.net/projects/domit-xmlparser/" target="_blank">http://sourceforge.net/projects/domit-xmlparser</a>)</LI>
<LI>DOMIT RSS - An RSS feed parser based on the DOMIT pure PHP XML parser. (<a href="http://sourceforge.net/projects/domit-rssparser/" target="_blank">http://sourceforge.net/projects/domit-rssparser</a>)</LI>
<LI>PNG Behavior - Adds support for PNG graphic format to Internet Explorer. (<a href="http://webfx.eae.net/dhtml/pngbehavior/pngbehavior.html" target="_blank">http://webfx.eae.net/dhtml/pngbehavior/pngbehavior.html</a>)</LI>
<LI>JSON.php - A PHP script to convert to and from JSON data format by Michal Migurski. (<a href="http://mike.teczno.com/json.html" target="_blank">http://mike.teczno.com/json.html</a>)</LI>
<LI>JSON.js - A JSON parser and JSON stringifier in JavaScript. (<a href="http://www.json.org/js.html" target="_blank">http://www.json.org/js.html</a>)</LI>
<LI>HTTP_WebDAV_Server - A WebDAV Server Implementation in PHP. (<a href="http://pear.php.net/package/HTTP_WebDAV_Server" target="_blank">http://pear.php.net/package/HTTP_WebDAV_Server</a>)</LI>
<LI>JavaScript O Lait - A library of reusable modules and components to enhance JavaScript by Jan-Klaas Kollhof. (<a href="http://jsolait.net/" target="_blank">http://jsolait.net/</a>)</LI>
<LI>PclZip - library offers compression and extraction functions for Zip formatted archives by Vincent Blavet (<a href="http://www.phpconcept.net/pclzip/index.en.php" target="_blank">http://www.phpconcept.net/pclzip/index.en.php/</a>)</LI>
<LI>Smarty - A template engine for PHP. (<a href="http://smarty.php.net/" target="_blank">http://smarty.php.net/</a>)</LI>
<LI>Overlibmws - JavaScript library for client-side windowing. (<a href="http://www.macridesweb.com/oltest/" target="_blank">http://www.macridesweb.com/oltest/</a>)</LI>
<LI>WICK: Web Input Completion Kit - JavaScript type ahead control (<a href="http://wick.sourceforge.net/" target="_blank">http://wick.sourceforge.net/</a>)</LI>
<LI>Yahoo! User Interface Library - The UI Library Utilities facilitate the implementation of rich client-side features. (<a href="http://developer.yahoo.net/yui/" target="_blank">http://developer.yahoo.net/yui/</a>)</LI>
<LI>PHPMailer - A full featured email transfer class for PHP (<a href="http://phpmailer.sourceforge.net/" target="_blank">http://phpmailer.sourceforge.net/</a>)</LI>
<LI>Crypt_Blowfish - Allows for quick two-way blowfish encryption without requiring the MCrypt PHP extension. (<a href="http://pear.php.net/package/Crypt_Blowfish/" target="_blank">http://pear.php.net/package/Crypt_Blowfish/</a>) </LI>
<LI>PHP_Compat - Provides missing functionality for older versions of PHP. (<a href="http://pear.php.net/package/PHP_Compat/" target="_blank">http://pear.php.net/package/PHP_Compat/</a>) </LI>
<LI>HTML_Safe - A parser that strips down all potentially dangerous content within HTML (<a href="http://pear.php.net/package/HTML_Safe/" target="_blank">http://pear.php.net/package/HTML_Safe/</a>) </LI>
<LI>XML_HTMLSax3 - A SAX parser for HTML and other badly formed XML documents (<a href="http://pear.php.net/package/XML_HTMLSax3/" target="_blank">http://pear.php.net/package/XML_HTMLSax3/</a>)</LI>
<LI>Yahoo! UI Extensions Library - Extensions to the Yahoo! User Interface Library by Jack Slocum (<a href="http://www.jackslocum.com/blog/" target="_blank">http://www.jackslocum.com/blog/</a>)</LI>
<LI>JSMin - filter which removes comments and unnecessary whitespace from JavaScript files. (<a href="http://www.crockford.com/javascript/jsmin.html" target="_blank">http://www.crockford.com/javascript/jsmin.html</a>)</LI>
<LI>SWFObject - Javascript Flash Player detection and embed script. (<a href="http://blog.deconcept.com/swfobject/" target="_blank">http://blog.deconcept.com/swfobject</a>)</LI>
<LI>TinyMCE - A WYSIWYG editor control for web browsers that enables the user to edit HTML contents  (<a href="http://wiki.moxiecode.com/index.php/TinyMCE:Index" target="_blank">http://wiki.moxiecode.com/index.php/TinyMCE:Index</a>)</LI>
<LI>Ext - A client-side JavaScript framework for building web applications. (<a href="http://extjs.com" target="_blank">http://extjs.com</a>)</LI>
</ul>
</div>
