<!--
/*********************************************************************************
 * SugarCRM is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004 - 2007 SugarCRM Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by SugarCRM".
 ********************************************************************************/
/*********************************************************************************
 * Header: /cvsroot/sugarcrm/sugarcrm/modules/Products/ListView.html,v 1.4 2004/07/02 07:02:27 sugarclint Exp {APP.LBL_LIST_CURRENCY_SYM}
 ********************************************************************************/
-->

<body style="margin: 0px;">
<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
global $theme;
require_once('themes/'.$theme.'/layout_utils.php');
insert_popup_header($theme); ?>
<script>
	var user_notices = new Array();
	var delay = 25000
	var index = 0;
	var lastIndex = 0;
	var scrollerHeight=620
	var bodyHeight = ''
	var scrollSpeed = 1;
	var curTeam = 'all';
	var scrolling = true;


	team = new Array("<p><b>SugarCRM Team Members</b></p>",
				     "John Roberts<br>",
					 "Clint Oram<br>",
					 "Jacob Taylor<br>",
					 "Rob Aagaard<br>",
					 "Sadek Baroudi<br>",
					 "Liliya Bederov<br>",
					 "Ken Brill<br>",
					 "Jeff Carouth<br>",
					 "Nate D'Amico<br>",
					 "Vineet Dhyani<br>",
					 "Andy Dreisch<br>",
					 "Dan Findley<br>",
					 "Samir Gandhi<br>",
					 "Jenny Gonsalves<br>",
					 "Ajay Gupta<br>",
					 "Matt Heitzenroder<br>",
					 "Lam Huynh<br>",
					 "Yun-Ping Hsu<br>",
					 "Max Hwang<br>",
					 "Majed Itani<br>",
					 "Manoj Jayadevan<br>",
					 "Russell Kojima<br>",
					 "Collin Lee<br>",
					 "Ronald Leung<br>",
					 "Jeff Li<br>",
					 "Franklin Liu<br>",
					 "Jason Nassi<br>",
					 "Julian Ostrow<br>",
					 "Sujata Pamidi<br>",
					 "Joey Parsons<br>",
					 "Eddy Ramirez<br>",
					 "Navjeet Singh<br>",
					 "Roger Smith<br>",
					 "David Wheeler<br>",
					 "Donald Wong<br>",
					 "Andrew Wu<br>",
					 "Jennifer Yim<br>",
					 "Tom Young<br>",
					 "<p><b>Special Thanks To</b></p>",
					 "Josh Stein<br>",
					 "Mary Coleman<br>",
					 "Larry Augustin<br>",
					 "Scott Sandell<br>",
					 "<br><br><p>&copy; 2007 SugarCRM Inc. All Rights Reserved.");


	function stopNotice(){
			scrolling = false;
	}
	function startNotice(){
			scrolling = true;
	}
	function scrollNotice(){

		if(scrolling){
		var body = document.getElementById('NOTICEBODY')
		var daddy = document.getElementById('daddydiv')

		if(parseInt(body.style.top) > bodyHeight *-1 ){

			body.style.top = (parseInt(body.style.top) - scrollSpeed) + 'px';
		}else{

			body.style.top =scrollerHeight + "px"
		}
		}

		setTimeout("scrollNotice()", 100);

	}
	function nextNotice(){




		if(scrolling){
			if(team.length > 0){
				if(index >= team.length	){
					index = 0;
				}
				var body = document.getElementById('NOTICEBODY');
				if(curTeam != 'all'){
					body.innerHTML = team[index];
				}else{

					for(var i = 0; i < team.length; i++){
					body.innerHTML += team[i];
					}

					}
				body.style.top = scrollerHeight/2 +'px'
				bodyHeight= parseInt(body.offsetHeight);


				index++;
				}
				if(curTeam != 'all'){


				setTimeout("nextNotice()", delay);
				}

		}
	}


</script>
<div style="width: 300px; height: 400px; text-align: center; background-color: #efefef; border: 1px #9e9e9e solid; padding: 5px;">
<img src="include/images/sugarcrm_about_logo.gif"><br>


<div id='daddydiv' style="position:relative;width=100%;height:350px;overflow:hidden">
<div id='NOTICEBODY' style="position:absolute;left:0px;top:0px;width:100%;z-index: 1; text-align: center;"></div>
</div>
<script>
if(window.addEventListener){
	window.addEventListener("load", nextNotice, false);
	window.addEventListener("load", scrollNotice, false);
}else{
	window.attachEvent("onload", nextNotice);
	window.attachEvent("onload", scrollNotice);
}
</script>


