{*
/*********************************************************************************
 * SugarCRM is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004 - 2007 SugarCRM Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by SugarCRM".
 ********************************************************************************/
*}

<form name='popup_form' id='popup_form_id'>
<input type='hidden' name='module' value='ModuleBuilder'>
<input type='hidden' name='action' value='SaveField'>
<input type='hidden' name='new_dropdown' value=''>
<input type='hidden' name='to_pdf' value='true'>
<input type='hidden' name='view_module' value='{$module->name}'>
<input type='hidden' name='view_package' value='{$package->name}'>
<input type='hidden' name='is_update' value='true'>
<table width="100%" cellborder=0>
	<tr>
		<td colspan='2'>

			{if $hideLevel < 5}
				<input type='button' class='button' name='fsavebtn' value='Save' onclick='{literal}if(validate_type_selection() && check_form("popup_form")){ {/literal}{$preSave} {literal}ModuleBuilder.submitForm("popup_form"); }{/literal}'>
				{if !empty($vardef.name)}
					{if $hideLevel < 3}
					{literal}
						&nbsp;<input type='button' class='button' name='fdeletebtn' value='Delete' onclick='if(confirm("Deleting a custom field will delete all the data related to the custom field. You will still need to remove the field from any layout you have added it to")){document.popup_form.action.value="DeleteField";ModuleBuilder.submitForm("popup_form");}'>
					{/literal}
					{/if}
				{/if}
			{else}{literal}
			     <input type='button' class='button' name='lsavebtn' value='Save' onclick='if(check_form("popup_form")){this.form.action.value = "SaveField";ModuleBuilder.submitForm("popup_form")};'>
			{/literal}{/if}
			{literal}
                &nbsp;<input type='button' class='button' name='fclonebtn' value='Clone' onclick='document.popup_form.action.value="CloneField";ModuleBuilder.submitForm("popup_form");'>
            {/literal}
		</td>
	</tr>
	<tr>
		<td colspan='2'>
			<hr>
		</td>
	</tr>
	<tr>
		<td align="right" style="width:92px;font-weight:bold;">{$MOD.COLUMN_TITLE_DATA_TYPE}:</td>
		<td >
			{if empty($vardef.name) && $isClone == 0}
				{html_options name="type" id="type"  options=$field_types selected=$vardef.type onchange='ModuleBuilder.moduleLoadField("", this.options[this.selectedIndex].value);'}
			{else}
				{$field_types[$vardef.type]}
			{/if}
			{if empty($field_types[$vardef.type]) && !empty($vardef.type)}({$vardef.type}){/if}
			<input type='hidden' name='type' value={$vardef.type}>
		</td>
	</tr>
</table>
{$fieldLayout}
</form>
<script>
{literal}
function validate_type_selection(){
	var typeSel = document.getElementById('type');
	if(typeSel && typeSel.options){
		if(typeSel.options[typeSel.selectedIndex].value == ''){
			alert('{/literal}{$MOD.ERR_SELECT_FIELD_TYPE}{literal}');
			return false;
		}
	}
	return true;
}
//validate['popup_form'] = new Array();
{/literal}
</script>

